org.eclipse.emf.compare.merge

## Class MergeBlockedByConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.compare.merge.MergeBlockedByConflictException

All Implemented Interfaces:
  Serializable

    public class MergeBlockedByConflictException
    extends RuntimeException

Exception that indicates that a merge cannot be performed because it would lead to involuntarily resolving a conflict.

Since:
  3.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MergeBlockedByConflictException(Collection<Diff> conflictingDiffs)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Diff>` `getConflictingDiffs()` Get the conflicting diffs.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MergeBlockedByConflictException

    public MergeBlockedByConflictException(Collection<Diff> conflictingDiffs)

Constructor.

Parameters:
  `conflictingDiffs` - The diffs that depend on a conflict

### Method Detail

#### getConflictingDiffs

    public Collection<Diff> getConflictingDiffs()

Get the conflicting diffs.

Returns:
  The conflicting diffs.